diff --git a/src/libFLAC/cpu.c b/src/libFLAC/cpu.c
index 40c7950..8249500 100644
--- a/src/libFLAC/cpu.c
+++ b/src/libFLAC/cpu.c
@@ -240,6 +240,8 @@ void FLAC__cpu_info(FLAC__CPUInfo *info)
 # else
 		disable_sse(info);
 # endif
+#elif defined(__ANDROID__) || defined(ANDROID)
+		/* no need to check OS SSE support */
 #elif defined(__linux__)
 		int sse = 0;
 		struct sigaction sigill_save;
